<?php 

	require "config.php";
	
	require "functions.php";
	
	// username: Test
	// password: asd
	
	if(isset($_POST['login-btn'])){
		
		$lekerdezes = "SELECT * FROM artists WHERE username='$_POST[username]'";
		$talalt = $conn->query($lekerdezes);
		
		if(mysqli_num_rows($talalt) == 1){
			
			$felhasznalo = $talalt->fetch_assoc();
			
			if(password_verify($_POST['password'], $felhasznalo['password'])){
				
				setcookie("artistid", $felhasznalo['id'], time()+3600, "/");
				setcookie("username", $felhasznalo['username'], time()+3600, "/");
				
				header("Location: artist.php");
				
			}
			else{
				Message("Helytelen jelszó!");
			}
			
		}
		else{
			Message("Nincs ilyen felhasználó!");
		}
		
	}

?>
<h1>Bejelentkezés</h1>
<form method='post'>
	<input type="text" name="username" placeholder="Felhasználónév"><br><br>
	<input type="password" name="password" placeholder="Jelszó">
	<input type="submit" name="login-btn" value="Bejelentkezés">
</form>